PPP(4)

NAME
ppp - Point-to-Point Protocol network interface

SYNOPSIS
pseudo-device ppp

DESCRIPTION
The ppp interface allows serial lines to be used as network interfaces using the Point-to-Point Protocol (PPP).

A ppp interface can be created at runtime using the ifconfig pppN create command or by setting up a hostname.if(5) configuration file for netstart(8).

DIAGNOSTICS

ppp0: afX not supported The interface was handed a message with addresses formatted in an unsuitable address family; the packet was dropped.

SEE ALSO
inet(4), pppoe(4), pppx(4), hostname.if(5), ifconfig(8), netstart(8), pppd(8), pppstats(8)

STANDARDS
W. Simpson, July 1994, RFC 1661, The Point-to-Point Protocol (PPP).

HISTORY
The ppp device appeared in OpenBSD 1.2.

BUGS
Currently, only the ip(4) protocol is supported by this device. Note that the pppoe(4) device does support ip6(4).